Primitives
List resources
Returns the server’s resources as a collection page.
POST
/
projects
/
{projectId}
/
servers
/
{serverId}
/
resources
List resources
curl --request POST \
--url https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/resources \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/resources"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.mcpjam.com/api/v1/projects/{projectId}/servers/{serverId}/resources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"uri": "<string>",
"name": "<string>",
"description": "<string>",
"mimeType": "<string>"
}
],
"nextCursor": "<string>"
}
Authorizations
MCPJam API key (sk_…). Create one at Settings → API keys. Guest sessions cannot use the API, and API keys cannot manage other API keys.
Path Parameters
ID of the hosted project that contains the server.
ID of the server inside the project.
Body
application/json
Optional pagination cursor.
Opaque pagination cursor from a previous response's nextCursor. Don't parse it.
Was this page helpful?
⌘I
List resources

